{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.programs.nvim-lazy;
  wrapNeovimLazy = (import ../../default.nix { inherit lib pkgs; }).legacyPackages.wrapNeovimLazy;
in
{
  imports = [ ./default.nix ];

  config = (lib.mkIf cfg.enable) {
    _module.check = lib.mkDefault false;
    home.packages = [
      (wrapNeovimLazy pkgs.neovim-unwrapped { inherit (cfg) luaRcContent lazyConfig lazyPlugins; })
    ];
  };
}
